﻿using HeuristicLab.Common;
using HeuristicLab.Core;
using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;

namespace HeuristicLab.DataPreprocessing
{
  [Item("DataCompletenessChart", "Represents a datacompleteness chart.")]
  public class DataCompletenessChartContent : Item, IViewShortcut
  {

    private readonly IChartLogic chartLogic;

    public DataCompletenessChartContent(IChartLogic chartLogic)
    {
      this.chartLogic = chartLogic;
    }

    public DataCompletenessChartContent(DataCompletenessChartContent content, Cloner cloner)
      : base(content, cloner)
    {
    }

    public IChartLogic ChartLogic
    {
      get
      {
        return chartLogic;
      }
    }

    public static new Image StaticItemImage
    {
      get { return HeuristicLab.Common.Resources.VSImageLibrary.EditBrightnessContrast; }
    }

    public override IDeepCloneable Clone(Cloner cloner)
    {
      return new DataCompletenessChartContent(this, cloner);
    }
  }
}
